#!/bin/sh
# RouteSplit startup script
# adds network static route
# script installed by RouteSplit.app (more at www.hanynet.com)

# We need to trap on TERM signals, according to Apple's launchd docs:
#
trap 'exit 1' 15

#
# Issue a log message so we know when we started
#
syslog -s -l 1 routes.sh: Starting RouteSplit

#
# Use the "ipconfig waitall" command to wait for all the
# interfaces to come up:
#
ipconfig waitall

# read configuration file 
routesconf=`cat /etc/routes.conf`

#logs
syslog -s -l 1 routes.sh: static route $routesconf

# issue route command
/sbin/route add $routesconf

# Sleep 
sleep 10

# Exit with a clean status
exit 0
